Bug 73797 - Satellite-sync errors late in process w. no parent
Satellite-sync errors late in process w. no parent
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
unspecified
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Todd Warner
Fanny Augustin
:
Depends On:
Blocks: 77497
  Show dependency treegraph
 
Reported: 2002-09-10 20:08 EDT by Matt Jamison
Modified: 2007-07-31 15:14 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-16 09:58:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josef Komenda 2002-09-10 20:08:02 EDT
Description of Problem: Attempting to load a child channel without the parent
results in a traceback very late in the process - it should bounce the user
earlier. 

Tue Sep 10 19:43:26 2002 - Processing package data
Tue Sep 10 19:43:26 2002 -    Retrieving / parsing package data (for metadata
deemed relevant): redhat-rhn-proxy-i386-7.2 (32)
Tue Sep 10 19:43:26 2002 -    * WARNING: this may be a very slow process.
            ________________________________________
Processing: ######################################## - complete
Tue Sep 10 19:45:00 2002 -    Package data parse/import summary:
redhat-rhn-proxy-i386-7.2
                                  parse success: 32
                                  parse fail:    0
Tue Sep 10 19:45:00 2002 -    Linking channels to package data:
redhat-rhn-proxy-i386-7.2
Traceback (innermost last):
  File "/usr/bin/satellite-sync", line 29, in ?
    satsync.main(sys.argv)
  File "/var/www/rhns/satellite_tools/satsync.py", line 715, in main
    report = syncer.processPackages(allPackageDataYN=actionDict['allpackages'])
  File "/var/www/rhns/satellite_tools/satsync.py", line 283, in processPackages
    importer.run()
  File "/var/www/rhns/server/importlib/importLib.py", line 423, in run
    self.fix()
  File "/var/www/rhns/server/importlib/packageImport.py", line 52, in fix
    self.__copyChannels(package, package)
  File "/var/www/rhns/server/importlib/packageImport.py", line 136, in
__copyChannels
    "Unsupported channel %s" % channelName)
server.importlib.importLib.InvalidChannelError: Unsupported channel
redhat-rhn-proxy-i386-7.2
Comment 1 Josef Komenda 2002-10-28 11:46:14 EST
This now places the error in /var/log/rhn/rhn_server_satellite.log, but should
message the user about installing teh parent channel.
Comment 2 Todd Warner 2002-11-01 17:25:00 EST
Still an issue... will address.
Comment 3 Todd Warner 2002-12-05 16:42:14 EST
Oops... wrong tracking bug.
Comment 4 Todd Warner 2002-12-20 12:06:55 EST
Done for Titan.
Not backporting.
Comment 5 Greg DeKoenigsberg 2003-04-11 10:42:12 EDT
Moving to RHN 3.0.0
Comment 6 Josef Komenda 2003-05-16 09:58:51 EDT
Fixed. 

SYNC ERROR: unhandled exception occurred:
       <server.importlib.importLib.InvalidChannelError instance at 82461d0> --
Invalid channel (parent not imported?) redhat-linux-i386-7.2.

Note You need to log in before you can comment on or make changes to this bug.